net.dontdrinkandroot.wicket.bootstrap.component.button

## Interface IButton

All Known Implementing Classes:
  AbstractButtonLink, AbstractSubmitButtonLink, AjaxButtonLink, AjaxSubmitButtonLink, ButtonBehavior, ButtonLink, DisablingSubmitButtonLink, SubmitButtonLink

    public interface IButton

### Method Summary

Methods
`ButtonSize` `getButtonSize()`
`ButtonStyle` `getButtonStyle()`
`org.apache.wicket.util.io.IClusterable` `setButtonSize(ButtonSize buttonSize)`
`org.apache.wicket.util.io.IClusterable` `setButtonStyle(ButtonStyle buttonStyle)`

### Method Detail

#### getButtonSize

    ButtonSize getButtonSize()

#### setButtonSize

    org.apache.wicket.util.io.IClusterable setButtonSize(ButtonSize buttonSize)

#### getButtonStyle

    ButtonStyle getButtonStyle()

#### setButtonStyle

    org.apache.wicket.util.io.IClusterable setButtonStyle(ButtonStyle buttonStyle)